#pragma once

#include "bombax.h"
#include "..\pilelibs\includes\robbase\ActionMove.h"

class BOMBAX_API CActionMoveToZXY :	public CActionMove
{
public:
	CActionMoveToZXY(void);
	virtual ~CActionMoveToZXY(void);

	virtual BOOL Excute(CRobot* pRobot, /*int sceneId,*/ HWND hNotifyWnd, int* pErrCode);

protected:
	BOOL MoveZXY(CRobbax* pRobot, COptions* pOptions, int*  pErrCode);
	BOOL MoveXYZ(CRobbax* pRobot,COptions* pOptions, int*  pErrCode);

public:

	//BOOL m_bAxisZToInit;
	//BOOL m_bMoveZFirst;
	//double m_nInitZ;
	BOOL m_bAbsolute;

};

